public static interface DaiSession.HttpRequestOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getLatency()
public abstract Duration getLatency()Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
Duration |
The latency. |
getLatencyOrBuilder()
public abstract DurationOrBuilder getLatencyOrBuilder()Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
DurationOrBuilder |
|
getRequestTime()
public abstract Timestamp getRequestTime()Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
Timestamp |
The requestTime. |
getRequestTimeOrBuilder()
public abstract TimestampOrBuilder getRequestTimeOrBuilder()Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
TimestampOrBuilder |
|
getResponseBody()
public abstract String getResponseBody()Output only. The full response body.
optional string response_body = 6 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
String |
The responseBody. |
getResponseBodyBytes()
public abstract ByteString getResponseBodyBytes()Output only. The full response body.
optional string response_body = 6 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for responseBody. |
getResponseCode()
public abstract int getResponseCode()Output only. The HTTP response code.
optional int32 response_code = 5 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
int |
The responseCode. |
getUrl()
public abstract String getUrl()Output only. The URL sent in the request.
optional string url = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
String |
The url. |
getUrlBytes()
public abstract ByteString getUrlBytes()Output only. The URL sent in the request.
optional string url = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for url. |
getUserAgent()
public abstract String getUserAgent()Output only. The user agent sent with the request.
optional string user_agent = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
String |
The userAgent. |
getUserAgentBytes()
public abstract ByteString getUserAgentBytes()Output only. The user agent sent with the request.
optional string user_agent = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for userAgent. |
hasLatency()
public abstract boolean hasLatency()Output only. How long the request took to complete.
.google.protobuf.Duration latency = 2 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the latency field is set. |
hasRequestTime()
public abstract boolean hasRequestTime()Output only. The time when the request was made.
.google.protobuf.Timestamp request_time = 1 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the requestTime field is set. |
hasResponseBody()
public abstract boolean hasResponseBody()Output only. The full response body.
optional string response_body = 6 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the responseBody field is set. |
hasResponseCode()
public abstract boolean hasResponseCode()Output only. The HTTP response code.
optional int32 response_code = 5 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the responseCode field is set. |
hasUrl()
public abstract boolean hasUrl()Output only. The URL sent in the request.
optional string url = 3 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the url field is set. |
hasUserAgent()
public abstract boolean hasUserAgent()Output only. The user agent sent with the request.
optional string user_agent = 4 [(.google.api.field_behavior) = OUTPUT_ONLY];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the userAgent field is set. |